%global debug_package %{nil}

%global oname variantslib

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.15.0
Release:        %mkrel 3
Summary:        OCaml variants as first class values
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz
BuildRequires:  ocaml >= 4.04.2
BuildRequires:  ocaml-base-devel 
BuildRequires:  ocaml-dune >= 2.0.0
BuildRequires:  ocaml-compiler

%description
This package contains an OCaml syntax extension to define first class
values representing variants.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
dune install --destdir=%{buildroot}
rm -rf %buildroot/usr/doc

%check
dune runtest

%files
%license LICENSE.md
%doc CHANGES.md
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml


%changelog
* Sat Oct 15 2022 neoclust <neoclust> 1:0.15.0-3.mga9
+ Revision: 1897019
- Rebuild against new ocaml-base

* Thu May 19 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859221
- Rebuild for OCaml 4.14

* Mon May 09 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1857205
- Update to 0.15.0

* Tue Apr 05 2022 umeabot <umeabot> 1:0.14.0-3.mga9
+ Revision: 1844584
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 1:0.14.0-2.mga9
+ Revision: 1751307
- Rebuild for ocaml 4.13.1

* Mon Mar 22 2021 tv <tv> 1:0.14.0-1.mga9
+ Revision: 1707292
- 0.14.0

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-4.mga8
+ Revision: 1670772
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1551820
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-2.mga8
+ Revision: 1545104
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483853
- new release + rebuild for ocaml-4.10
- disable debuginfo

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.0-1.mga7
+ Revision: 1324640
- Update to 0.11.0

* Fri Sep 28 2018 umeabot <umeabot> 1:0.10.0-3.mga7
+ Revision: 1310472
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-2.mga7
+ Revision: 1242058
- rebuild against current ocaml stack
- enable debug package as it should

* Sat Jan 13 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1192962
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 109.15.00-6.mga6
+ Revision: 1056452
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 109.15.00-5.mga6
+ Revision: 956666
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.15.00-4.mga5
+ Revision: 742756
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.15.00-3.mga5
+ Revision: 683127
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.15.00-2.mga4
+ Revision: 525660
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 malo <malo> 109.15.00-1.mga4
+ Revision: 433987
- update to 109.15.00

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ blue_prawn <blue_prawn>
- mgarepo sync

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319774
- sync tarball
- updated to last version 108.07.01
- constrain the set of libs from janest to be the same version

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301859
- rebuild for new ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300239
- updated to last version 108.07.00
- new rpm group for ocaml

* Sat Jul 28 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 275415
- add missing requires to ocaml-type-conv

* Wed Jul 25 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274276
- imported package ocaml-variantslib

